<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="JiShe.CollectBus.Application.abppkg" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Volo.Abp.AspNetCore.Mvc" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.AutoMapper" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.BackgroundWorkers.Hangfire" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.Ddd.Application" Version="8.3.3" />
		<PackageReference Include="TouchSocket" Version="3.1.2" />
    <PackageReference Include="TouchSocket.Hosting" Version="3.1.2" />
    <PackageReference Include="Volo.Abp.EventBus.Kafka" Version="8.3.3" />
    <ProjectReference Include="..\..\protocols\JiShe.CollectBus.Protocol\JiShe.CollectBus.Protocol.csproj" />
  
		<ProjectReference Include="..\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />

		<ProjectReference Include="..\..\modules\JiShe.CollectBus.Cassandra\JiShe.CollectBus.Cassandra.csproj" />
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.FreeRedis\JiShe.CollectBus.FreeRedis.csproj" />
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.Kafka\JiShe.CollectBus.Kafka.csproj" />
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.MongoDB\JiShe.CollectBus.MongoDB.csproj" />
 
  </ItemGroup>

</Project>
